vimUtils.buildVimPlugin: fix helptag generation (#53071)

I messed that up in my refactoring in #52767, since I moved the relevant
bash code out of a function and failed to adjust the shell variable
name. Now the plugin build will fail loudly when help tag generation
fails to make sure this doesn't happen again.
This commit is contained in:
Timo Kaufmann 2018-12-30 12:22:17 +01:00 committed by GitHub
parent bf7d1b538d
commit 30ff3e0f39
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23

View File

@ -36,7 +36,13 @@ rec {
# build help tags
if [ -d "$target/doc" ]; then
${vim}/bin/vim -N -u NONE -i NONE -n -E -s -c "helptags $1/doc" +quit! || echo "docs to build failed"
echo "Building help tags"
if ! ${vim}/bin/vim -N -u NONE -i NONE -n -E -s -c "helptags $target/doc" +quit!; then
echo "Failed to build help tags!"
exit 1
fi
else
echo "No docs available"
fi
if [ -n "$addonInfo" ]; then